image: node:latest

stages:
    - production

production:
    type: deploy
    stage: production
    image: ruby:latest
    script:
        - apt-get update -qy
        - apt-get install -y ruby-dev
        - gem install dpl
        - dpl --provider=heroku --app=digitalcard2021 --api-key=$HEROKU_API_KEY
    only:
        - master
